'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _ramda = require('ramda');

var _isPath = require('./isPath');

var _isPath2 = _interopRequireDefault(_isPath);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var isValueForOperation = (0, _ramda.cond)([[function (op, value) {
  return (0, _ramda.contains)(op, ['add', 'replace', 'test']) && (0, _ramda.equals)(undefined, value);
}, (0, _ramda.always)('The value or from path provided must be different to undefined')], [(0, _ramda.pipe)((0, _ramda.nthArg)(0), (0, _ramda.equals)('remove')), _ramda.T], [function (op, value) {
  return (0, _ramda.contains)(op, ['move', 'copy']) && (0, _ramda.pipe)(_isPath2.default, (0, _ramda.is)(String))(value);
}, (0, _ramda.pipe)((0, _ramda.nthArg)(1), _isPath2.default)], [_ramda.T, _ramda.T]]);

exports.default = isValueForOperation;
//# sourceMappingURL=isValueForOperation.js.map
